Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can render Emacs unusable

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Nov 2019 10:58:48 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 09 Nov 2019 21:34:38 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Maybe we should do the same with timer functions, indeed.
> 
> And post-command-hook and all the other errors?

IMO no, because post-command-hook isn't asynchronous.

> >> I just think that Emacs should behave consistently.
> >
> > If doing the same with timers will contribute to that consistency, I
> > don't object.  I just think that we shouldn't remove an old feature
> > because of a single accident that should be quite rare.
> 
> What do you mean by "single accident"?  

The one that you cited, and which started this.